Subject: Re: question concerning branches

From: Jakub Narebski <[email-masked]>
Date: Wed, 19 Aug 2009 22:57:21 +0200

Theodore Tso wrote:

> Personally, in the cases where I can't finish a commit before I need
> to switch away to another branch, my preference is to not use "git
> stash", but instead to create a topic branch, and then check in a
> partially completed change on the topic branch, which I can later
> ammend using "git commit --amend" (or if I have multiple commits on
> the topic branch, "git rebase --interactive").  This is because I can
> use the commit description to leave myself some notes about what still
> needs to be done before the commit can be finalized.

Errr... you are aware that you can use "git stash save <message>" (i.e. 
specify commit message for stash; well, the subject), don't you?

-- 
Jakub Narebski
Poland